import request from '@/utils/request'

export function createItem(data) {
  return request({
    url: '/mall-pool-type/add',
    method: 'post',
    data
  })
}

export function updateItem(data) {
  return request({
    url: '/mall-pool-type/edit',
    method: 'post',
    data
  })
}

export function list(query) {
  return request({
    url: '/mall-pool-type/list',
    method: 'get',
    params:query
  })
}

export function deleteitem(query) {
  return request({
    url: '/mall-pool-type/remove',
    method: 'post',
    params:query
  })
}

export function optionSelect(data) {
  return request({
    url: '/mall-pool-type/optionselect',
    method: 'get',
    data
  })
}
export function dataList(query) {
  return request({
    url: '/mall-pool-data/list',
    method: 'get',
    params:query
  })
}
export function dataAdd(data) {
  return request({
    url: '/mall-pool-data/add',
    method: 'post',
    data
  })
}
export function dataEdit(data) {
  return request({
    url: '/mall-pool-data/edit',
    method: 'post',
    data
  })
}
export function dataRemove(query) {
  return request({
    url: '/mall-pool-data/remove',
    method: 'post',
    params:query
  })
}

export function logsList(query) {
  return request({
    url: '/mall-prize/prize/log',
    method: 'get',
    params:query
  })
}






